MSKGraphInternal::DataPict Struct Reference

Internal: the picture of a MSKGraph. More...

Inheritance diagram for MSKGraphInternal::DataPict:

## Public Member Functions

| DataPict (Zone const &z)
| constructor More...
| DataPict ()
| empty constructor More...
virtual Type | type () const
| return the type More...
virtual bool | getBinaryData (MWAWInputStreamPtr ip, WPXBinaryData &res, std::string &type) const
| return a binary data (if known) More...
virtual void | print (std::ostream &o) const
| operator<< More...
Public Member Functions inherited from MSKGraphInternal::Zone
| Zone ()
| constructor More...
virtual | ~Zone ()
| destructor More...
virtual float | needExtraBorderWidth () const
| return the extra border space ( if needed) More...
virtual void | fillFramePropertyList (WPXPropertyList &) const
| add frame parameters to propList (if needed ) More...
Box2f | getLocalBox () const
| return the box More...
MWAWPosition | getPosition (MWAWPosition::AnchorTo rel) const

## Public Attributes

long | m_dataEndPos
| the end of data (only defined when different to m_pos.end()) More...
Box2f | m_naturalBox
| the pict box (if known ) More...
Public Attributes inherited from MSKGraphInternal::Zone
int | m_subType
| the type More...
int | m_zoneId
| the zone id More...
MWAWEntry | m_pos
| the file position More...
long | m_dataPos
| the data begin position More...
int | m_fileId
| the file id More...
long | m_ids [3]
| the zones id (main, previous, next) More...
int | m_page
| the page More...
Vec2f | m_decal
| the local position More...
Box2f | m_box
| local bdbox More...
int | m_line
| the line position(v1) More...
int | m_lineType
| the line type (v2) : 0= dotted, 1=half, 2=1, 3=2pt?, 4:4pt More...
int | m_lineWidth
| the line width (v3, ...) More...
MWAWColor | m_lineColor
| the line color More...
Pattern | m_linePattern
| the line pattern More...
int | m_lineFlags
| the line flag More...
MWAWColor | m_surfaceColor
| the 2D surface color More...
Pattern | m_surfacePattern
| the line pattern More...
int | m_order
| the picture order More...
std::string | m_extra
| extra data More...
bool | m_isSent
| true if the zone is send More...

## Additional Inherited Members

Public Types inherited from MSKGraphInternal::Zone
enum | Type { Unknown, Basic, Group, Pict, Text, Textv4, Bitmap, TableZone, OLE }

## Detailed Description

Internal: the picture of a MSKGraph.

## Constructor & Destructor Documentation

MSKGraphInternal::DataPict::DataPict | ( | Zone const & | z | ) |

inline

constructor

MSKGraphInternal::DataPict::DataPict | ( |  | ) |

inline

empty constructor

## Member Function Documentation

bool MSKGraphInternal::DataPict::getBinaryData | ( | MWAWInputStreamPtr | ,
|  | WPXBinaryData & | res,
|  | std::string & | pictType
| ) |  | const

virtual

return a binary data (if known)

Reimplemented from MSKGraphInternal::Zone.

virtual void MSKGraphInternal::DataPict::print | ( | std::ostream & | o | ) | const

inline virtual

operator<<

Reimplemented from MSKGraphInternal::Zone.

virtual Type MSKGraphInternal::DataPict::type | ( |  | ) | const

inline virtual

return the type

Reimplemented from MSKGraphInternal::Zone.

## Member Data Documentation

long MSKGraphInternal::DataPict::m_dataEndPos

the end of data (only defined when different to m_pos.end())

Referenced by getBinaryData(), and MSKGraph::getEntryPicture().

Box2f MSKGraphInternal::DataPict::m_naturalBox

mutable

the pict box (if known )

Referenced by getBinaryData().

The documentation for this struct was generated from the following file:

- MSKGraph.cxx